<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:variable="http://xbrl.org/2008/variable" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ea="http://xbrl.org/2008/assertion/existence">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:type="locator" xlink:label="RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_NonCurrentBroadcastLicenses" xlink:type="locator" xlink:label="NonCurrentBroadcastLicenses"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_CurrentBroadcastLicenses" xlink:type="locator" xlink:label="CurrentBroadcastLicenses"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_PaymentsForBroadcastLicenses" xlink:type="locator" xlink:label="PaymentsForBroadcastLicenses"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:type="locator" xlink:label="AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:type="locator" xlink:label="CashUsedForOptionExerciseForPurchaseOfNonControllingInterests"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_RepaymentOfLiabilitiesArisingFromBusinessCombinations" xlink:type="locator" xlink:label="RepaymentOfLiabilitiesArisingFromBusinessCombinations"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_FinancialIncomeOnLoanRefinancing" xlink:type="locator" xlink:label="FinancialIncomeOnLoanRefinancing"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_LoanForgiveness" xlink:type="locator" xlink:label="LoanForgiveness"/>
        <link:loc xlink:href="wpl-2021-12-31.xsd#wpl_RevaluationOfInvestmentReceivable" xlink:type="locator" xlink:label="RevaluationOfInvestmentReceivable"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Equity"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="IncomeTaxExpenseContinuingOperations"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="ComprehensiveIncome"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:type="locator" xlink:label="AdjustmentsForReconcileProfitLoss"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="ProfitLoss"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" xlink:label="ProfitLossFromOperatingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="InterestPaidClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LongtermBorrowings" xlink:type="locator" xlink:label="LongtermBorrowings"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="NoncurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Liabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentProvisions" xlink:type="locator" xlink:label="CurrentProvisions"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:type="locator" xlink:label="EmployeeBenefitsExpense"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:type="locator" xlink:label="DilutedEarningsLossPerShare"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ChangesInEquity" xlink:type="locator" xlink:label="ChangesInEquity"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="CashAndCashEquivalents"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:type="locator" xlink:label="RawMaterialsAndConsumablesUsed"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="ProfitLossBeforeTax"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="IncreaseDecreaseInCashAndCashEquivalents"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator" xlink:label="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisions" xlink:type="locator" xlink:label="NoncurrentProvisions"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="CashFlowsFromUsedInOperatingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator" xlink:label="CashFlowsFromUsedInOperations"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:type="locator" xlink:label="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="CurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="CashFlowsFromUsedInFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:type="locator" xlink:label="FinanceCosts"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="OtherComprehensiveIncome"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="CurrentLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Assets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:type="locator" xlink:label="BasicEarningsLossPerShare"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="locator" xlink:label="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:type="locator" xlink:label="DepreciationAndAmortisationExpense"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" xlink:label="ProfitLossFromContinuingOperations"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="locator" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:label="EquityAttributableToOwnersOfParent"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:type="locator" xlink:label="OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="NoncurrentLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherExpenseByNature" xlink:type="locator" xlink:label="OtherExpenseByNature"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="CashFlowsFromUsedInInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" xlink:label="EquityAndLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:to="label_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:to="documentation_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NonCurrentBroadcastLicenses" xlink:to="label_NonCurrentBroadcastLicenses" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NonCurrentBroadcastLicenses" xlink:to="documentation_NonCurrentBroadcastLicenses" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentBroadcastLicenses" xlink:to="label_CurrentBroadcastLicenses" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentBroadcastLicenses" xlink:to="documentation_CurrentBroadcastLicenses" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForBroadcastLicenses" xlink:to="label_PaymentsForBroadcastLicenses" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForBroadcastLicenses" xlink:to="documentation_PaymentsForBroadcastLicenses" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:to="label_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:to="documentation_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:to="label_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:to="documentation_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepaymentOfLiabilitiesArisingFromBusinessCombinations" xlink:to="label_RepaymentOfLiabilitiesArisingFromBusinessCombinations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialIncomeOnLoanRefinancing" xlink:to="label_FinancialIncomeOnLoanRefinancing" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialIncomeOnLoanRefinancing" xlink:to="documentation_FinancialIncomeOnLoanRefinancing" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LoanForgiveness" xlink:to="label_LoanForgiveness" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LoanForgiveness" xlink:to="documentation_LoanForgiveness" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RevaluationOfInvestmentReceivable" xlink:to="label_RevaluationOfInvestmentReceivable" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RevaluationOfInvestmentReceivable" xlink:to="documentation_RevaluationOfInvestmentReceivable" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Equity" xlink:to="periodStart_Equity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxExpenseContinuingOperations" xlink:to="negatedTerseLabel_IncomeTaxExpenseContinuingOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncome" xlink:to="total_ComprehensiveIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:to="negatedTerseLabel_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Equity" xlink:to="total_Equity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:to="terseLabel_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="total_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReconcileProfitLoss" xlink:to="total_AdjustmentsForReconcileProfitLoss" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLoss" xlink:to="total_ProfitLoss" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromOperatingActivities" xlink:to="total_ProfitLossFromOperatingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestPaidClassifiedAsFinancingActivities" xlink:to="negatedTerseLabel_InterestPaidClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="total_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongtermBorrowings" xlink:to="total_LongtermBorrowings" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NoncurrentAssets" xlink:to="total_NoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Liabilities" xlink:to="total_Liabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentProvisions" xlink:to="total_CurrentProvisions" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmployeeBenefitsExpense" xlink:to="negated_EmployeeBenefitsExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DilutedEarningsLossPerShare" xlink:to="total_DilutedEarningsLossPerShare" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInEquity" xlink:to="total_ChangesInEquity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalents" xlink:to="periodEnd_CashAndCashEquivalents" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RawMaterialsAndConsumablesUsed" xlink:to="negated_RawMaterialsAndConsumablesUsed" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTax" xlink:to="total_ProfitLossBeforeTax" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="netLabel_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:to="total_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NoncurrentProvisions" xlink:to="total_NoncurrentProvisions" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="netLabel_CashFlowsFromUsedInOperatingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperations" xlink:to="netLabel_CashFlowsFromUsedInOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:to="total_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:to="terseLabel_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentAssets" xlink:to="total_CurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="terseLabel_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="netLabel_CashFlowsFromUsedInFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceCosts" xlink:to="negated_FinanceCosts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncome" xlink:to="total_OtherComprehensiveIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentLiabilities" xlink:to="total_CurrentLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Assets" xlink:to="total_Assets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicEarningsLossPerShare" xlink:to="total_BasicEarningsLossPerShare" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="total_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepreciationAndAmortisationExpense" xlink:to="negated_DepreciationAndAmortisationExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromContinuingOperations" xlink:to="total_ProfitLossFromContinuingOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="negatedTerseLabel_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="netLabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalents" xlink:to="periodStart_CashAndCashEquivalents" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="total_EquityAttributableToOwnersOfParent" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:to="total_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NoncurrentLiabilities" xlink:to="total_NoncurrentLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherExpenseByNature" xlink:to="negatedTerseLabel_OtherExpenseByNature" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:to="negatedTerseLabel_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="netLabel_CashFlowsFromUsedInInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="negatedTerseLabel_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Equity" xlink:to="periodEnd_Equity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAndLiabilities" xlink:to="total_EquityAndLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="negatedTerseLabel_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:label id="label_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations_pl" xlink:label="label_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Aktualizacja wyceny zobowiązania do wykupu udziałów niedających kontroli oraz innych zobowiązań wynikających z połączenia przedsięwzięć</link:label>
        <link:label id="documentation_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations_pl" xlink:label="documentation_RevaluationOfLiabilityForNoncontrollingInterestsAndOtherLiabilitiesResultingFromBusinessCombinations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Aktualizacja wyceny zobowiązania do wykupu udziałów niedających kontroli oraz innych zobowiązań wynikających z połączenia przedsięwzięć</link:label>
        <link:label id="label_NonCurrentBroadcastLicenses_pl" xlink:label="label_NonCurrentBroadcastLicenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Długoterminowe aktywa programowe</link:label>
        <link:label id="documentation_NonCurrentBroadcastLicenses_pl" xlink:label="documentation_NonCurrentBroadcastLicenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Długoterminowe aktywa programowe</link:label>
        <link:label id="label_CurrentBroadcastLicenses_pl" xlink:label="label_CurrentBroadcastLicenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Krótkoterminowe aktywa programowe</link:label>
        <link:label id="documentation_CurrentBroadcastLicenses_pl" xlink:label="documentation_CurrentBroadcastLicenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Krótkoterminowe aktywa programowe</link:label>
        <link:label id="label_PaymentsForBroadcastLicenses_pl" xlink:label="label_PaymentsForBroadcastLicenses" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Płatności za licencje programowe</link:label>
        <link:label id="documentation_PaymentsForBroadcastLicenses_pl" xlink:label="documentation_PaymentsForBroadcastLicenses" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Płatności za licencje programowe</link:label>
        <link:label id="label_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations_pl" xlink:label="label_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Aktualizacja wyceny zobowiązania do wykupu udziałów niedających kontroli i z tytułu połączenia przedsięwzięć</link:label>
        <link:label id="documentation_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations_pl" xlink:label="documentation_AdjustmentForRevaluationOfLiabilityForPurchaseOfNonControllingInterestsAndDueToBusinessCombinations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Aktualizacja wyceny zobowiązania do wykupu udziałów niedających kontroli i z tytułu połączenia przedsięwzięć</link:label>
        <link:label id="label_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests_pl" xlink:label="label_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Realizacja opcji do wykupu udziałów niekontrolujących</link:label>
        <link:label id="documentation_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests_pl" xlink:label="documentation_CashUsedForOptionExerciseForPurchaseOfNonControllingInterests" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Realizacja opcji do wykupu udziałów niekontrolujących</link:label>
        <link:label id="label_RepaymentOfLiabilitiesArisingFromBusinessCombinations_pl" xlink:label="label_RepaymentOfLiabilitiesArisingFromBusinessCombinations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Spłata zobowiązań z tytułu nabycia przedsięwzięć</link:label>
        <link:label id="label_FinancialIncomeOnLoanRefinancing_pl" xlink:label="label_FinancialIncomeOnLoanRefinancing" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Przychody z tytułu refinansowania kredytu</link:label>
        <link:label id="documentation_FinancialIncomeOnLoanRefinancing_pl" xlink:label="documentation_FinancialIncomeOnLoanRefinancing" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Przychody z tytułu refinansowania kredytu</link:label>
        <link:label id="label_LoanForgiveness_pl" xlink:label="label_LoanForgiveness" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Umorzenie pożyczki</link:label>
        <link:label id="documentation_LoanForgiveness_pl" xlink:label="documentation_LoanForgiveness" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Umorzenie pożyczki</link:label>
        <link:label id="label_RevaluationOfInvestmentReceivable_pl" xlink:label="label_RevaluationOfInvestmentReceivable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Przeszacowanie należności inwestycyjnej</link:label>
        <link:label id="documentation_RevaluationOfInvestmentReceivable_pl" xlink:label="documentation_RevaluationOfInvestmentReceivable" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Przeszacowanie należności inwestycyjnej</link:label>
        <link:label id="periodStart_Equity_pl" xlink:label="periodStart_Equity" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="pl">Kapitał własny na początek okresu</link:label>
        <link:label id="negatedTerseLabel_IncomeTaxExpenseContinuingOperations_pl" xlink:label="negatedTerseLabel_IncomeTaxExpenseContinuingOperations" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Obciążenie podatkowe (przychód podatkowy) negated terse</link:label>
        <link:label id="negatedTerseLabel_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities_pl" xlink:label="negatedTerseLabel_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Zakup innych aktywów trwałych zaklasyfikowany jako działalność inwestycyjna negated terse</link:label>
        <link:label id="total_Equity_pl" xlink:label="total_Equity" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Kapitał własny razem</link:label>
        <link:label id="terseLabel_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_pl" xlink:label="terseLabel_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Środki pieniężne otrzymane ze spłat zaliczek oraz pożyczek udzielonych stronom trzecim zaklasyfikowane jako działalność inwestycyjna terse</link:label>
        <link:label id="total_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_pl" xlink:label="total_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody, które zostaną przeklasyfikowane do zysku lub straty, po opodatkowaniu razem</link:label>
        <link:label id="total_AdjustmentsForReconcileProfitLoss_pl" xlink:label="total_AdjustmentsForReconcileProfitLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Korekty dokonywane w celu uzgodnienia zysku (straty) razem</link:label>
        <link:label id="total_ProfitLoss_pl" xlink:label="total_ProfitLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) razem</link:label>
        <link:label id="total_ProfitLossFromOperatingActivities_pl" xlink:label="total_ProfitLossFromOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) z działalności operacyjnej razem</link:label>
        <link:label id="negatedTerseLabel_InterestPaidClassifiedAsFinancingActivities_pl" xlink:label="negatedTerseLabel_InterestPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Wypłacone odsetki, zaliczone do działalności finansowej negated terse</link:label>
        <link:label id="total_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_pl" xlink:label="total_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody, które nie zostaną przeklasyfikowane do zysku lub straty, po opodatkowaniu razem</link:label>
        <link:label id="total_LongtermBorrowings_pl" xlink:label="total_LongtermBorrowings" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Długoterminowa część pożyczek długoterminowych razem</link:label>
        <link:label id="total_NoncurrentAssets_pl" xlink:label="total_NoncurrentAssets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa trwałe (długoterminowe) razem</link:label>
        <link:label id="total_Liabilities_pl" xlink:label="total_Liabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania razem</link:label>
        <link:label id="total_CurrentProvisions_pl" xlink:label="total_CurrentProvisions" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Rezerwy bieżące razem</link:label>
        <link:label id="negated_EmployeeBenefitsExpense_pl" xlink:label="negated_EmployeeBenefitsExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty świadczeń pracowniczych negated</link:label>
        <link:label id="total_DilutedEarningsLossPerShare_pl" xlink:label="total_DilutedEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Rozwodniony zysk (rozwodniona strata) przypadający na jedną akcję razem</link:label>
        <link:label id="total_ChangesInEquity_pl" xlink:label="total_ChangesInEquity" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zwiększenie (zmniejszenie) wartości kapitału własnego razem</link:label>
        <link:label id="periodEnd_CashAndCashEquivalents_pl" xlink:label="periodEnd_CashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="pl">Środki pieniężne i ekwiwalenty środków pieniężnych na koniec okresu</link:label>
        <link:label id="negated_RawMaterialsAndConsumablesUsed_pl" xlink:label="negated_RawMaterialsAndConsumablesUsed" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Zużycie surowców i materiałów negated</link:label>
        <link:label id="netLabel_IncreaseDecreaseInCashAndCashEquivalents_pl" xlink:label="netLabel_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Zwiększenie (zmniejszenie) stanu środków pieniężnych i ich ekwiwalentów net</link:label>
        <link:label id="total_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_pl" xlink:label="total_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa obrotowe inne niż aktywa trwałe lub grupy do zbycia zaklasyfikowane jako przeznaczone do sprzedaży lub do wydania właścicielom razem</link:label>
        <link:label id="total_NoncurrentProvisions_pl" xlink:label="total_NoncurrentProvisions" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Rezerwy długoterminowe razem</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInOperatingActivities_pl" xlink:label="netLabel_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności operacyjnej (wykorzystane w działalności operacyjnej) net</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInOperations_pl" xlink:label="netLabel_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności (wykorzystane w działalności) net</link:label>
        <link:label id="total_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_pl" xlink:label="total_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Pożyczki krótkoterminowe oraz krótkoterminowa część pożyczek długoterminowych razem</link:label>
        <link:label id="terseLabel_ProceedsFromBorrowingsClassifiedAsFinancingActivities_pl" xlink:label="terseLabel_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Wpływy z pożyczek, zaliczone do działalności finansowej terse</link:label>
        <link:label id="total_CurrentAssets_pl" xlink:label="total_CurrentAssets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa obrotowe (krótkoterminowe) razem</link:label>
        <link:label id="total_ComprehensiveIncome_pl" xlink:label="total_ComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Całkowite dochody razem</link:label>
        <link:label id="terseLabel_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_pl" xlink:label="terseLabel_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Wpływy ze sprzedaży rzeczowych aktywów trwałych, zaklasyfikowane jako działalność inwestycyjna terse</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInFinancingActivities_pl" xlink:label="netLabel_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności finansowej (wykorzystane w działalności finansowej) net</link:label>
        <link:label id="negated_FinanceCosts_pl" xlink:label="negated_FinanceCosts" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty finansowe negated</link:label>
        <link:label id="total_OtherComprehensiveIncome_pl" xlink:label="total_OtherComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody razem</link:label>
        <link:label id="total_CurrentLiabilities_pl" xlink:label="total_CurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania krótkoterminowe razem</link:label>
        <link:label id="total_Assets_pl" xlink:label="total_Assets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa razem</link:label>
        <link:label id="total_BasicEarningsLossPerShare_pl" xlink:label="total_BasicEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Podstawowy zysk (podstawowa strata) przypadający na jedną akcję razem</link:label>
        <link:label id="total_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_pl" xlink:label="total_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania krótkoterminowe inne niż zobowiązania wchodzące w skład grup przeznaczonych do sprzedaży, zaklasyfikowanych jako utrzymywane z przeznaczeniem do sprzedaży razem</link:label>
        <link:label id="negated_DepreciationAndAmortisationExpense_pl" xlink:label="negated_DepreciationAndAmortisationExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Kwota umorzenia i amortyzacji negated</link:label>
        <link:label id="total_ProfitLossFromContinuingOperations_pl" xlink:label="total_ProfitLossFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) z działalności kontynuowanej razem</link:label>
        <link:label id="negatedTerseLabel_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_pl" xlink:label="negatedTerseLabel_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Spłaty pożyczek zaliczone do działalności finansowej negated terse</link:label>
        <link:label id="netLabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_pl" xlink:label="netLabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Zwiększenie (zmniejszenie) stanu środków pieniężnych i ich ekwiwalentów przed skutkami zmian kursów wymiany net</link:label>
        <link:label id="periodStart_CashAndCashEquivalents_pl" xlink:label="periodStart_CashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="pl">Środki pieniężne i ekwiwalenty środków pieniężnych na początek okresu</link:label>
        <link:label id="total_ProfitLossBeforeTax_pl" xlink:label="total_ProfitLossBeforeTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) przed opodatkowaniem razem</link:label>
        <link:label id="total_EquityAttributableToOwnersOfParent_pl" xlink:label="total_EquityAttributableToOwnersOfParent" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Kapitał własny przypisywany właścicielom jednostki dominującej razem</link:label>
        <link:label id="total_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_pl" xlink:label="total_OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody, po opodatkowaniu, aktywa finansowe wyceniane w wartości godziwej przez inne całkowite dochody razem</link:label>
        <link:label id="total_NoncurrentLiabilities_pl" xlink:label="total_NoncurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania długoterminowe razem</link:label>
        <link:label id="negatedTerseLabel_OtherExpenseByNature_pl" xlink:label="negatedTerseLabel_OtherExpenseByNature" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Pozostałe koszty, według rodzaju negated terse</link:label>
        <link:label id="negatedTerseLabel_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_pl" xlink:label="negatedTerseLabel_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Zaliczki gotówkowe wpłacane i pożyczki udzielane stronom trzecim zaklasyfikowane jako działalność inwestycyjna negated terse</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInInvestingActivities_pl" xlink:label="netLabel_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności inwestycyjnej (wykorzystane w działalności inwestycyjnej) net</link:label>
        <link:label id="negatedTerseLabel_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_pl" xlink:label="negatedTerseLabel_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Opłacenie zobowiązań z tytułu leasingu, zaliczone do działalności finansowej negated terse</link:label>
        <link:label id="periodEnd_Equity_pl" xlink:label="periodEnd_Equity" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="pl">Kapitał własny na koniec okresu</link:label>
        <link:label id="total_EquityAndLiabilities_pl" xlink:label="total_EquityAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Kapitał własny i zobowiązania razem</link:label>
        <link:label id="negatedTerseLabel_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_pl" xlink:label="negatedTerseLabel_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne wykorzystane w ramach objęcia kontroli nad jednostkami zależnymi lub innymi przedsięwzięciami zaklasyfikowane jako działalność inwestycyjna negated terse</link:label>
    </link:labelLink>
</link:linkbase>
